# Makefile for NMAKE
# Usage:
#	To build the project:
#		NMAKE -f makefile.mak
#	To clean the builds
#		NMAKE -f makefile.mak clean		

!IFNDEF DEBUG
DEBUG=0	
!ENDIF

## Modules Macro
NAME=ScanGII
#SRCS=AboutDialog.asm Escolhe.asm Executa.asm IniciaCombo.asm Limpa.asm Messagier.asm MontaLinha.asm ScanGII.asm Verifica.asm 
SRCS=*.asm
OBJS=

## Library Macro

LIB=C:\masm32\lib

## Include Macro

INCLUDE=C:\masm32\include

## Tools Macro
ASM=C:\masm32\bin\ml.exe
LINK=C:\masm32\bin\link.exe
RCOM=C:\masm32\bin\rc.exe

## Build Options
!IF $(DEBUG)
CFLAGS=/c /coff /Cp /Zi /nologo
LFLAGS=/NOLOGO /MACHINE:IX86 /SUBSYSTEM:WINDOWS /DEBUG /VERSION:4.0 /LIBPATH:$(LIB)
!ELSE
CFLAGS=/c /coff /Cp /nologo
LFLAGS=/NOLOGO /MACHINE:IX86 /SUBSYSTEM:WINDOWS /RELEASE /VERSION:4.0 /LIBPATH:$(LIB)
!ENDIF

## Inference rules

.asm.obj:
	@echo   Compiling source files...
	@$(ASM) $(CFLAGS) /I$(INCLUDE) $(SRCS)

## Main default Target
target:$(NAME).exe

## Create the executable
$(NAME).exe: $(SRCS:.asm=.obj) $(NAME).res
	@$(LINK) $(LFLAGS) /OUT:$(NAME).exe $(SRCS:.asm=.obj) $(NAME).res
	@echo   Linking...
	@echo   Compilation complete. Congratulations.

## Compile resources
$(NAME).res: $(NAME).rc
	@$(RCOM) $(NAME).rc
	@echo   Compiling resources...


clean: 
	@del *.obj *.pdb *.res
